imx8dx libsdl2 bug issue

cancel
Showing results for 
Search instead for 
Did you mean: 

imx8dx libsdl2 bug issue

175 Views
songhongliang
Contributor II

1.在L5.4.70 BSP上,默认编译的libsdl2会显示颜色错误,L5.10.x这个版本也存在同样的问题。至少需要libsdl2-2.0.16版本及以上,才能使用颜色正常。

2.在使用libsdl2-2.0.16版本后,默认会使用opengl进行渲染,但未指定opengl版本(不知道这是为什么),在代码执行到SDL_RenderPresent(renderer); 会报出段错误in glOrtho () from /usr/lib/libGL.so.1。此时在libsdl2编译配置中禁用opengl、opengl es1,再次编译,会默认使用opengl es2,此时可以正常运行。(没有尝试只禁用opengl)

0 Kudos
4 Replies

165 Views
Sanket_Parekh
NXP Employee
NXP Employee

Hi @songhongliang 

I hope you are doing well.

IMX8 is not supporting libsdl2, It does support libsdl up to version 1.2.

Thanks & Regards

Sanket Parekh

0 Kudos

143 Views
songhongliang
Contributor II

Does nxp have plans to support libsdl2 for imx8?

0 Kudos

136 Views
Sanket_Parekh
NXP Employee
NXP Employee

Hi @songhongliang 

No, there is no date available for including libsdl2.

Thanks & Regards

Sanket Parekh

0 Kudos

144 Views
songhongliang
Contributor II

I need to use libSDL2, what should I do

0 Kudos